Announcement

Collapse
No announcement yet.

Newbie: Support for 4Duino hardware does not appear...

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Newbie: Support for 4Duino hardware does not appear...

    After a couple o months of stop I must reuse the WorkShop IDE, so reinstalled the new IDE (and the new Arduino IDE too) so... when I try to compile the sketch under the WorkShop IDE I get the error "Support for 4Duino hardware does not appear to have been installed as per section 11.1"
    I already readed the section 11.1, but really I don't understand what I must do.
    The log of the compiler is the following:

    Code:
    Compiling....
    Looking for library 'user32'
    Adding paths from jna.library.path: null
    Trying user32.dll
    Found library 'user32' at user32.dll
    Looking for library 'shell32'
    Adding paths from jna.library.path: null
    Trying shell32.dll
    Found library 'shell32' at shell32.dll
    Looking for library 'Ole32'
    Adding paths from jna.library.path: null
    Trying Ole32.dll
    Found library 'Ole32' at Ole32.dll
    Sto caricando la configurazione...
    Sto inizializzando i pacchetti...
    Sto preparando le schede...
    Errore: 4D Systems: pacchetto sconosciuto
    Completed RC=3
    In addition I tried to download the boards in the Arduino IDE via boards manager, but I get the following error:


    Code:
     Errore durante lo scaricamento di http://www.4dsystems.com.au/downloads/4Duino/4dsystems-1.8.1.tar.bz2
    java.lang.RuntimeException: java.lang.Exception: Errore durante lo scaricamento di http://www.4dsystems.com.au/downloads/4Duino/4dsystems-1.8.1.tar.bz2
        at cc.arduino.contributions.packages.ui.ContributionManagerUI.lambda$onInstallPressed$1(ContributionManagerUI.java:176)
        at java.lang.Thread.run(Thread.java:748)
    Caused by: java.lang.Exception: Errore durante lo scaricamento di http://www.4dsystems.com.au/downloads/4Duino/4dsystems-1.8.1.tar.bz2
        at cc.arduino.contributions.DownloadableContributionsDownloader.download(DownloadableContributionsDownloader.java:131)
        at cc.arduino.contributions.DownloadableContributionsDownloader.download(DownloadableContributionsDownloader.java:69)
        at cc.arduino.contributions.packages.ContributionInstaller.install(ContributionInstaller.java:102)
        at cc.arduino.contributions.packages.ui.ContributionManagerUI.lambda$onInstallPressed$1(ContributionManagerUI.java:173)
        ... 1 more
    Caused by: java.io.IOException: Received invalid http status code from server: 416
        at cc.arduino.utils.network.FileDownloader.downloadFile(FileDownloader.java:194)
        at cc.arduino.utils.network.FileDownloader.download(FileDownloader.java:128)
        at cc.arduino.contributions.DownloadableContributionsDownloader.download(DownloadableContributionsDownloader.java:129)
        ... 4 more

    So I can't install and use the board under Arduino IDE.

    Please anyone can help me?

  • #2
    Hello naamah75

    One possible solution that could be done for this, is to reinstall all the IDEs again starting with the Arduino IDE first before the Workshop IDE.
    For installing the board for 4Duino in the Arduino IDE you can refer to the quick start guide that can be found at:
    http://www.4duino.com/downloads/docs...tart-Guide.pdf

    Comment


    • #3
      This is exactly what I've been do, but the errorrs/situation remain the pretty same
      Other ideas?

      Comment


      • #4
        In order to make sure that the 4Duino board is fully removed from the Arduino IDE beforehand, you can go to C:\Users\User\AppData\Local\Arduino15\staging\packages and delete files related to the name 4d systems. Then you can proceed to redownload the latest board for 4Duino (1.8.1) using the Arduino IDE boards manager.

        Comment


        • #5
          Ok... deleting all zip files in the packages folder I was been able to install the board under Arduino IDE and then the error under Workshop IDE now is changed in
          Code:
          cc1.exe: error: -fno-fat-lto-objects are supported only with linker plugin.
          Now the exit status is RC=1 that if I'm not wrong it would mean that it's all okay. Right?

          Comment


          • #6
            Hi,

            Do you encounter the same issue using Arduino IDE or only when using Workshop4 IDE?

            Comment


            • #7
              Under Arduino IDE and Workshop IDe the error is the same...

              Code:
              cc1.exe: error: -fno-fat-lto-objects are supported only with linker plugin.
              
              PiĆ¹ di una libreria trovata per "Picaso_Serial_4DLib.h"
              Usata: C:\Users\Igor\AppData\Local\Arduino15\packages\4D Systems\hardware\avr\1.8.1\libraries\Picaso_Serial_4DLib
              Non usata: C:\Program Files (x86)\Arduino\libraries\Picaso_Serial_4DLib
              exit status 1
              Errore durante la compilazione per la scheda 4Duino - 2.4".
              Last edited by naamah75; 28th November 2017, 06:05 PM.

              Comment


              • #8
                Eureka! I got it! There's an incompatibility with Seeeduino library ... if I remove the Seeeduino boards from board manager all works fine ...

                Comment

                Working...
                X